# Method: iceberg.v1.restcatalog.v1.projects.catalogs.namespaces.get

- [HTTP request](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1.projects.catalogs.namespaces/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1.projects.catalogs.namespaces/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1.projects.catalogs.namespaces/get#body.request_body)
- [Response body](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1.projects.catalogs.namespaces/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1.projects.catalogs.namespaces/get#body.aspect)

Gets an Iceberg namespace in the catalog (or checks if it exists, if the method is HEAD).

### HTTP request

`GET https://biglake.googleapis.com/iceberg/v1/restcatalog/v1/{name=projects/*/catalogs/*/namespaces/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Iceberg namespace to fetch in the format: `projects/{projectId}/catalogs/{catalogId}/namespaces/{namespace}`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1.projects.catalogs.namespaces#IcebergNamespace`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/bigquery`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).